For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_newfilter - Worldchain

Example code for the eth_newFilter JSON-RPC method. Complete guide on how to use eth_newFilter JSON-RPC in GetBlock Web3 documentation.

Ths method creates a filter object for notifying when the state changes (logs) on the World Chain network.

Parameters

Parameter
Type
Description

filterObject

object

Filter options including fromBlock, toBlock, address, topics

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_newFilter",
    "params": [{"fromBlock": "latest", "address": "0x1234567890123456789012345678901234567890", "topics": []}],
    "id": "getblock.io"
}'
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "eth_newFilter",
    "params": [{"fromBlock": "latest", "address": "0x1234567890123456789012345678901234567890", "topics": []}],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));

Response

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0x1"
}

Response Parameters

Field
Type
Description

result

string

Filter ID to be used with eth_getFilterChanges

Use Case

The eth_newFilter method on World Chain is typically used for:

  • Event subscription

  • Log monitoring

  • Real-time notifications

  • Contract monitoring

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

Web3 Integration

Last updated

Was this helpful?